REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single EmailTemplateFile record by its Id.
{ "BusinessId": 123, "Language": 123, "FileLanguageId": 123, "Name": "<string>", "Subject": "<string>", "FileContents": "<string>", "IsTextOnly": true, "FromName": "<string>", "FromEmail": "<string>", "CCEmail": "<string>", "CCOEmail": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
EmailTemplateFile-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/emailtemplatefiles/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "Language": 0, "FileLanguageId": null, "Name": "", "Subject": "", "FileContents": null, "IsTextOnly": false, "FromName": null, "FromEmail": null, "CCEmail": null, "CCOEmail": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "EmailTemplateFile Example", "LocalizationDetails": null, "CustomFields": null }